module Aid
  module GitStaged
    def check_for_staged_files!
      file_change_status_codes = "^\s*[MADRCU]"
      return unless system("git status -s | grep #{file_change_status_codes.inspect} >/dev/null 2>&1")

      abort colorize(:red, "You have modified/staged files, cannot aid")
    end
  end
end
